#ifndef SPRITE_H_
#define SPRITE_H_

#include <graphx.h>

typedef struct Sprite Sprite;

struct Sprite {
    int width;
    int height;
    gfx_sprite_t* data;

    void (*resize)(Sprite*, int, int);
};

void free_Sprite(Sprite* self);
Sprite* new_Sprite(int width, int height, void* compressed_data);

#endif
